#pragma once

#include "TestCase.h"

#include <vector>
#include <string>

class TestCaseRunner
{
public:

    void AddTestCase(const std::string& label, TestCasePtr testCase);

    bool Run();

private:
    using TestInstance = std::pair<std::string, TestCasePtr>;
    std::vector<TestInstance> mCases;
};
